Purchase
INFO
Каждый ответ приходит в общем конверте — code, message, messages, status_code, time — а полезная нагрузка лежит в data. Таблицы ниже описывают содержимое data.
POST /purchase/create
This method allows adding purchase into the account.
Тело запроса
| Поле | Тип | Обязательно | Описание |
|---|---|---|---|
code | string | Нет | |
organization_id | string | Да | |
state | string | Да | Допустимые значения: canceled, new, done, in_progress, draft |
date | string (date) | Да | |
income_date | string (date) | Нет | |
responsible_id | string | Да | |
supplier_id | string | Нет | |
supliaer_assistant_id | string | Нет | |
warehouse_id | string | Да | |
currency_id | string | Да | |
note | string | Нет | |
price_id | string | Нет | |
orders | object[] | Да | |
orders[].order_id | string | Нет | |
orders[].products | object[] | Да | |
orders[].products[].order_item_id | string | Нет | |
orders[].products[].product_id | string | Да | |
orders[].products[].amount | number | Да | |
orders[].products[].box_count | number | Нет | |
orders[].products[].box_item | number | Нет | |
orders[].products[].cost | number | Да | |
orders[].products[].extra_cost | number | Да | |
orders[].products[].extra_costs | object[] | Да | |
orders[].products[].marks | string[] | Да | |
orders[].products[].prices | object[] | Да | |
additional_costs | object[] | Да | |
additional_costs[].cost_id | string | Да | |
additional_costs[].amount | number | Да | |
additional_costs[].customer_id | string | Нет | |
additional_costs[].employee_id | string | Нет | |
additional_costs[].supplier_id | string | Нет | |
additional_costs[].person_id | string | Нет | |
is_auto_income | boolean | Нет | |
contract_id | string | Нет |
json
{
"code": "PR-001",
"organization_id": "64b7f4d9e2b3b6a0b7c5d80a",
"state": "new",
"date": "2023-10-01",
"income_date": "2023-10-01",
"responsible_id": "64b7f4d9e2b3b6a0b7c5d80a",
"supplier_id": "64b7f4d9e2b3b6a0b7c5d80a",
"supliaer_assistant_id": "64b7f4d9e2b3b6a0b7c5d80a",
"warehouse_id": "64b7f4d9e2b3b6a0b7c5d80a",
"currency_id": "64b7f4d9e2b3b6a0b7c5d80a",
"note": "This is a note",
"price_id": "64b7f4d9e2b3b6a0b7c5d80a",
"orders": [
{
"order_id": "64b7f4d9e2b3b6a0b7c5d80a",
"products": []
}
],
"additional_costs": [
{
"cost_id": "64b7f4d9e2b3b6a0b7c5d80a",
"amount": 10,
"customer_id": "64b7f4d9e2b3b6a0b7c5d80a",
"employee_id": "64b7f4d9e2b3b6a0b7c5d80a",
"supplier_id": "64b7f4d9e2b3b6a0b7c5d80a",
"person_id": "64b7f4d9e2b3b6a0b7c5d80a"
}
],
"is_auto_income": true,
"contract_id": "64b7f4d9e2b3b6a0b7c5d80a"
}Ответ
| Поле | Тип | Описание |
|---|---|---|
created_at | string (date-time) | |
updated_at | string (date-time) | |
code | string | |
number | string | |
organization_id | string | |
organization | object | |
organization._id | string | |
organization.name | string | |
state | string | |
date | string (date-time) | |
income_date | string (date-time) | |
responsible_id | string | |
responsible | object | |
responsible._id | string | |
responsible.full_name | string | |
supplier_id | string | |
supplier | object | |
supplier._id | string | |
supplier.name | string | |
created_by | object | |
created_by._id | string | |
created_by.full_name | string | |
suplier_assistant | object | |
suplier_assistant._id | string | |
suplier_assistant.name | string | |
suplier_assistant.type | string | |
supplier_assistant_hierarchy | object[] | |
supplier_assistant_hierarchy[]._id | string | |
supplier_assistant_hierarchy[].name | string | |
supplier_assistant_hierarchy[].type | string | |
supplier_assistant_hierarchy[].first_name | string | |
supplier_assistant_hierarchy[].last_name | string | |
supplier_assistant_hierarchy[].middle_name | string | |
currency_id | string | |
currency | object | |
currency._id | string | |
currency.name | string | |
currency.uuid | number | |
currency.value | number | |
currency.symbol | string | |
currency.side | string | |
note | string | |
total_amount | number | |
total_cost | number | |
additional_costs | object[] | |
orders | object[] | |
invoice | object | |
is_fully_income | boolean | |
total_income | number | |
total_refunded | number | |
is_auto_create | boolean | |
is_fully_refunded | boolean | |
incomes | object[] | |
purchase_returns | object[] | |
total_extra_cost | number | |
contract_id | string | |
contract | object | |
contract._id | string | |
contract.name | string | |
contract.code | string | |
contract.number | string | |
contract.currency_id | string | |
contract.organization_id | string | |
contract.amount | number | |
contract.date | string (date-time) | |
contract.expire_date | string (date-time) | |
contract.person_id | string | |
contract.note | string | |
contract.is_active | boolean | |
contract.contract_number | string |
json
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"created_at": "2025-05-01T12:00:00Z",
"updated_at": "2025-05-01T12:00:00Z",
"code": "string",
"number": "string",
"organization_id": "string",
"organization": {
"_id": "string",
"name": "string"
},
"state": "string",
"date": "2025-05-01T12:00:00Z",
"income_date": "2025-05-01T12:00:00Z",
"responsible_id": "string",
"responsible": {
"_id": "string",
"full_name": "string"
},
"supplier_id": "string",
"supplier": {
"_id": "string",
"name": "string"
},
"created_by": {
"_id": "string",
"full_name": "string"
},
"suplier_assistant": {
"_id": "string",
"name": "string",
"type": "string"
},
"supplier_assistant_hierarchy": [
{
"_id": "string",
"name": "string",
"type": "string",
"first_name": "string",
"last_name": "string",
"middle_name": "string"
}
],
"currency_id": "string",
"currency": {
"_id": "string",
"name": "string",
"uuid": 0,
"value": 0,
"symbol": "string",
"side": "string"
},
"note": "string",
"total_amount": 0,
"total_cost": 0,
"additional_costs": [
{}
],
"orders": [
{}
],
"invoice": {},
"is_fully_income": false,
"total_income": 0,
"total_refunded": 0,
"is_auto_create": false,
"is_fully_refunded": false,
"incomes": [
{}
],
"purchase_returns": [
{}
],
"total_extra_cost": 0,
"contract_id": "string",
"contract": {
"_id": "string",
"name": "string",
"code": "string",
"number": "string",
"currency_id": "string",
"organization_id": "string",
"amount": 0,
"date": "2025-05-01T12:00:00Z",
"expire_date": "2025-05-01T12:00:00Z",
"person_id": "string",
"note": "string",
"is_active": false,
"contract_number": "string"
}
},
"time": "2025-05-01T12:00:00Z"
}PUT /purchase/update
This method allows updating purchase in the account.
Тело запроса
| Поле | Тип | Обязательно | Описание |
|---|---|---|---|
_id | string | Нет | |
code | string | Нет | |
organization_id | string | Да | |
date | string (date) | Да | |
income_date | string (date) | Нет | |
responsible_id | string | Да | |
supliaer_id | string | Да | |
supliaer_assistant_id | string | Нет | |
warehouse_id | string | Да | |
currency_id | string | Да | |
note | string | Нет | |
orders | object[] | Да | |
orders[].order_id | string | Нет | |
orders[].products | object[] | Да | |
orders[].products[].order_item_id | string | Нет | |
orders[].products[].product_id | string | Да | |
orders[].products[].amount | number | Да | |
orders[].products[].box_count | number | Нет | |
orders[].products[].box_item | number | Нет | |
orders[].products[].cost | number | Да | |
orders[].products[].extra_cost | number | Да | |
orders[].products[].extra_costs | object[] | Да | |
orders[].products[].prices | object[] | Да | |
additional_costs | object[] | Да | |
additional_costs[].cost_id | string | Да | |
additional_costs[].amount | number | Да | |
additional_costs[].customer_id | string | Нет | |
additional_costs[].employee_id | string | Нет | |
additional_costs[].supplier_id | string | Нет | |
additional_costs[].person_id | string | Нет | |
is_auto_income | boolean | Нет | |
contract_id | string | Нет |
json
{
"_id": "64b7f4d9e2b3b6a0b7c5d80a",
"code": "PR-001",
"organization_id": "64b7f4d9e2b3b6a0b7c5d80a",
"date": "2023-10-01",
"income_date": "2023-10-01",
"responsible_id": "64b7f4d9e2b3b6a0b7c5d80a",
"supliaer_id": "64b7f4d9e2b3b6a0b7c5d80a",
"supliaer_assistant_id": "64b7f4d9e2b3b6a0b7c5d80a",
"warehouse_id": "64b7f4d9e2b3b6a0b7c5d80a",
"currency_id": "64b7f4d9e2b3b6a0b7c5d80a",
"note": "This is a note",
"orders": [
{
"order_id": "64b7f4d9e2b3b6a0b7c5d80a",
"products": []
}
],
"additional_costs": [
{
"cost_id": "64b7f4d9e2b3b6a0b7c5d80a",
"amount": 10,
"customer_id": "64b7f4d9e2b3b6a0b7c5d80a",
"employee_id": "64b7f4d9e2b3b6a0b7c5d80a",
"supplier_id": "64b7f4d9e2b3b6a0b7c5d80a",
"person_id": "64b7f4d9e2b3b6a0b7c5d80a"
}
],
"is_auto_income": true,
"contract_id": "64b7f4d9e2b3b6a0b7c5d80a"
}Ответ
Структура ответа совпадает с POST /purchase/create.
POST /purchase/get-paging
Get purchase by paging
Тело запроса
| Поле | Тип | Обязательно | Описание |
|---|---|---|---|
page | number | Да | По умолчанию: 1 |
limit | number | Да | По умолчанию: 20 |
search | string | Нет | search string to filter by code or name |
states | string[] | Нет | list of states to filter by state |
organization_id | string | Нет | organization id to filter by organization |
responsible_id | string | Нет | responsible id to filter by responsible |
date_from | string (date-time) | Нет | date from to filter by date |
date_to | string (date-time) | Нет | date to to filter by date |
supliaer_id | string | Нет | supplier id to filter by supplier |
is_fully_income | boolean | Нет | is fully income to filter by fully income |
is_fully_refunded | boolean | Нет | is fully refunded to filter by fully refunded |
has_any_income | boolean | Нет | has any income to filter by any income |
contract_id | string | Нет | contract id to filter by contract |
income_states | string[] | Нет | list of states to filter by income state |
refunded_states | string[] | Нет | list of states to filter by refunded state |
currency_id | string | Нет | currency id to filter by currency |
updated_at | string (date-time) | Нет | updated at from to filter by updated at |
total_from | number | Нет | total from to filter by total |
total_to | number | Нет | total to to filter by total |
is_auto_create | boolean | Нет | is auto created to filter by auto created |
sort_by | string | Нет | sort by field to sort by |
json
{
"page": 1,
"limit": 20,
"search": "string",
"states": [
"canceled"
],
"organization_id": "string",
"responsible_id": "string",
"date_from": "2025-05-01T12:00:00Z",
"date_to": "2025-05-01T12:00:00Z",
"supliaer_id": "string",
"is_fully_income": false,
"is_fully_refunded": false,
"has_any_income": false,
"contract_id": "string",
"income_states": [
"zero"
],
"refunded_states": [
"zero"
],
"currency_id": "string",
"updated_at": "2025-05-01T12:00:00Z",
"total_from": 0,
"total_to": 0,
"is_auto_create": false,
"sort_by": "string"
}Ответ
| Поле | Тип | Описание |
|---|---|---|
code | string | |
message | string | |
status_code | number | status code of response. По умолчанию: 200 |
messages | object | |
messages.uz | string | |
messages.ru | string | |
messages.en | string | |
time | string (date-time) | time of response |
created_at | string (date-time) | |
updated_at | string (date-time) | |
number | string | |
organization_id | string | |
organization | object | |
organization._id | string | |
organization.name | string | |
state | string | |
date | string (date-time) | |
income_date | string (date-time) | |
responsible_id | string | |
responsible | object | |
responsible._id | string | |
responsible.full_name | string | |
supplier_id | string | |
supplier | object | |
supplier._id | string | |
supplier.name | string | |
currency_id | string | |
total_amount | number | |
total_cost | number | |
is_fully_income | boolean | |
total_income | number | |
total_refunded | number | |
is_fully_refunded | boolean | |
contract | object | |
contract._id | string | |
contract.name | string | |
contract.code | string | |
contract.number | string | |
contract.currency_id | string | |
contract.organization_id | string | |
contract.amount | number | |
contract.date | string (date-time) | |
contract.expire_date | string (date-time) | |
contract.person_id | string | |
contract.note | string | |
contract.is_active | boolean | |
contract.contract_number | string |
json
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"code": "string",
"message": "Success",
"status_code": 200,
"messages": {
"uz": "Muvaffaqiyatli",
"ru": "Успешно",
"en": "Successful"
},
"time": "2025-05-01T12:00:00Z",
"created_at": "2025-05-01T12:00:00Z",
"updated_at": "2025-05-01T12:00:00Z",
"number": "string",
"organization_id": "string",
"organization": {
"_id": "string",
"name": "string"
},
"state": "string",
"date": "2025-05-01T12:00:00Z",
"income_date": "2025-05-01T12:00:00Z",
"responsible_id": "string",
"responsible": {
"_id": "string",
"full_name": "string"
},
"supplier_id": "string",
"supplier": {
"_id": "string",
"name": "string"
},
"currency_id": "string",
"total_amount": 0,
"total_cost": 0,
"is_fully_income": false,
"total_income": 0,
"total_refunded": 0,
"is_fully_refunded": false,
"contract": {
"_id": "string",
"name": "string",
"code": "string",
"number": "string",
"currency_id": "string",
"organization_id": "string",
"amount": 0,
"date": "2025-05-01T12:00:00Z",
"expire_date": "2025-05-01T12:00:00Z",
"person_id": "string",
"note": "string",
"is_active": false,
"contract_number": "string"
}
},
"time": "2025-05-01T12:00:00Z"
}GET /purchase/get-by-id/{id}
Get purchase using its _id
Параметры пути
| Параметр | Тип | Обязательно | Описание |
|---|---|---|---|
id | string | Да |
Тело запроса
Тело запроса не требуется.
Ответ
Структура ответа совпадает с POST /purchase/create.
PUT /purchase/set-state
setState purchase
Тело запроса
| Поле | Тип | Обязательно | Описание |
|---|---|---|---|
_id | string | Да | |
state | string | Да | Допустимые значения: canceled, new, done, in_progress, draft |
cancel_extra_cost | boolean | Да | cancel extra costs when canceling the purchase. По умолчанию: false |
with_transactions | boolean | Да | cancel transactions when canceling the purchase. По умолчанию: false |
json
{
"_id": "64b7f4d9e2b3b6a0b7c5d80a",
"state": "new",
"cancel_extra_cost": false,
"with_transactions": false
}Ответ
Структура ответа совпадает с POST /purchase/create.
Эта страница сгенерирована из спецификации OpenAPI.